Package org.apache.sysds.runtime.controlprogram.paramserv

## Class SparkPSBody

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.SparkPSBody

    public class SparkPSBody
    extends Object

Wrapper class containing all needed for launching spark remote worker

### Constructor Summary

Constructors
`SparkPSBody()`
`SparkPSBody​(ExecutionContext ec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExecutionContext` `getEc()`
`void` `setEc​(ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SparkPSBody

    public SparkPSBody()

#### SparkPSBody

    public SparkPSBody​(ExecutionContext ec)

### Method Detail

#### getEc

    public ExecutionContext getEc()

#### setEc

    public void setEc​(ExecutionContext ec)